Package be.ehealth.technicalconnector.handler

# Enum Class AbstractWsSecurityHandler.SignedParts

java.lang.Object
java.lang.Enum<AbstractWsSecurityHandler.SignedParts>
be.ehealth.technicalconnector.handler.AbstractWsSecurityHandler.SignedParts

All Implemented Interfaces:
  `Serializable`, `Comparable<AbstractWsSecurityHandler.SignedParts>`, `java.lang.constant.Constable`

Enclosing class:
  `AbstractWsSecurityHandler`

public static enum AbstractWsSecurityHandler.SignedParts extends Enum<AbstractWsSecurityHandler.SignedParts>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BODY`
  `BST`
  `SAML_ASSERTION`
  `TIMESTAMP`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static AbstractWsSecurityHandler.SignedParts`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static AbstractWsSecurityHandler.SignedParts[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### BODY

    public static final AbstractWsSecurityHandler.SignedParts BODY

  - ### TIMESTAMP

    public static final AbstractWsSecurityHandler.SignedParts TIMESTAMP

  - ### BST

    public static final AbstractWsSecurityHandler.SignedParts BST

  - ### SAML_ASSERTION

    public static final AbstractWsSecurityHandler.SignedParts SAML_ASSERTION

- ## Method Details

  - ### values

    public static AbstractWsSecurityHandler.SignedParts[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static AbstractWsSecurityHandler.SignedParts valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null